commit:     a7a39bce360328e3a61f08a5a53c6ad644b378d9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  6 18:48:53 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr  6 18:48:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7a39bce

app-text/enscript: port to EAPI 7

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-text/enscript/enscript-1.6.6.ebuild            | 24 ++++++++++++++--------
 app-text/enscript/files/enscript-1.6.2-ruby.patch  |  4 ++--
 .../enscript/files/enscript-1.6.4-ebuild.st.patch  |  4 ++--
 .../files/enscript-1.6.4-fsf-gcc-darwin.patch      |  4 ++--
 .../enscript/files/enscript-1.6.5.2-php.st.patch   |  5 ++---
 5 files changed, 23 insertions(+), 18 deletions(-)

diff --git a/app-text/enscript/enscript-1.6.6.ebuild 
b/app-text/enscript/enscript-1.6.6.ebuild
index ae54ade489c..bb889e8b0db 100644
--- a/app-text/enscript/enscript-1.6.6.ebuild
+++ b/app-text/enscript/enscript-1.6.6.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit epatch toolchain-funcs
+inherit toolchain-funcs
 
 DESCRIPTION="Powerful text-to-postscript converter"
 SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
@@ -14,20 +14,26 @@ SLOT="0"
 LICENSE="GPL-3"
 IUSE="nls ruby"
 
-DEPEND="
+RDEPEND="nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}"
+BDEPEND="
        sys-devel/flex
        sys-devel/bison
        nls? ( sys-devel/gettext )
 "
-RDEPEND="nls? ( virtual/libintl )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.6.4-ebuild.st.patch
+       "${FILESDIR}"/${PN}-1.6.5.2-php.st.patch
+       "${FILESDIR}"/${PN}-1.6.4-fsf-gcc-darwin.patch
+)
 
 src_prepare() {
-       epatch "${FILESDIR}"/enscript-1.6.4-ebuild.st.patch
-       epatch "${FILESDIR}"/enscript-1.6.5.2-php.st.patch
-       epatch "${FILESDIR}"/enscript-1.6.4-fsf-gcc-darwin.patch
-       use ruby && epatch "${FILESDIR}"/enscript-1.6.2-ruby.patch
-       sed -i src/tests/passthrough.test -e 's|tail +2|tail -n +2|g' || die
        default
+
+       use ruby && eapply "${FILESDIR}"/enscript-1.6.2-ruby.patch
+
+       sed -i src/tests/passthrough.test -e 's|tail +2|tail -n +2|g' || die
 }
 
 src_configure() {

diff --git a/app-text/enscript/files/enscript-1.6.2-ruby.patch 
b/app-text/enscript/files/enscript-1.6.2-ruby.patch
index b492ca4f44f..1404daa823d 100644
--- a/app-text/enscript/files/enscript-1.6.2-ruby.patch
+++ b/app-text/enscript/files/enscript-1.6.2-ruby.patch
@@ -1,5 +1,5 @@
---- states/hl/enscript.st.orig 2006-12-17 02:10:37.000000000 +0100
-+++ states/hl/enscript.st      2006-12-17 02:10:13.000000000 +0100
+--- a/states/hl/enscript.st
++++ b/states/hl/enscript.st
 @@ -489,6 +489,7 @@
    /\.idl$/                                    idl;
    /\.(hs|lhs|gs|lgs)$/                                haskell;

diff --git a/app-text/enscript/files/enscript-1.6.4-ebuild.st.patch 
b/app-text/enscript/files/enscript-1.6.4-ebuild.st.patch
index 0741576226a..41303972967 100644
--- a/app-text/enscript/files/enscript-1.6.4-ebuild.st.patch
+++ b/app-text/enscript/files/enscript-1.6.4-ebuild.st.patch
@@ -1,5 +1,5 @@
---- states/hl/enscript.st      2006/01/31 05:37:23     1.1
-+++ states/hl/enscript.st      2006/01/31 06:48:32
+--- a/states/hl/enscript.st
++++ b/states/hl/enscript.st
 @@ -509,6 +509,7 @@ namerules
    /\b(rfc.*\.txt|draft-.*\.txt)$/             rfc;
    /\.inf$/i                                   inf;

diff --git a/app-text/enscript/files/enscript-1.6.4-fsf-gcc-darwin.patch 
b/app-text/enscript/files/enscript-1.6.4-fsf-gcc-darwin.patch
index 3ea4bf97efd..23196ca0c3c 100644
--- a/app-text/enscript/files/enscript-1.6.4-fsf-gcc-darwin.patch
+++ b/app-text/enscript/files/enscript-1.6.4-fsf-gcc-darwin.patch
@@ -3,8 +3,8 @@ darwin: __private_extern__ is an Apple-ism, we really don't want
 In particular FSF GCC barfs about this, which is much preferred over
 ancient gcc-apple (4.2.1).
 
---- compat/regex.c
-+++ compat/regex.c
+--- a/compat/regex.c
++++ b/compat/regex.c
 @@ -5539,9 +5539,6 @@
     It returns 0 if it succeeds, nonzero if it doesn't.  (See regex.h for
     the return codes and their meanings.)  */

diff --git a/app-text/enscript/files/enscript-1.6.5.2-php.st.patch 
b/app-text/enscript/files/enscript-1.6.5.2-php.st.patch
index b146d998ee4..9b3930103ab 100644
--- a/app-text/enscript/files/enscript-1.6.5.2-php.st.patch
+++ b/app-text/enscript/files/enscript-1.6.5.2-php.st.patch
@@ -1,6 +1,5 @@
-diff -ruN enscript-1.6.5.2.orig/states/hl/enscript.st 
enscript-1.6.5.2/states/hl/enscript.st
---- enscript-1.6.5.2.orig/states/hl/enscript.st        2010-06-02 
00:17:49.000000000 +0200
-+++ enscript-1.6.5.2/states/hl/enscript.st     2011-06-02 12:43:13.869855504 
+0200
+--- a/states/hl/enscript.st
++++ b/states/hl/enscript.st
 @@ -510,6 +510,7 @@
    /\.tex$/                                    tex;
    /\.wmlscript$/                              wmlscript;

Reply via email to